#include "testApp.h"


//--------------------------------------------------------------
void testApp::setup(){
	ofxMailEvents.addListener(this);

	ofxMailAccount account;
	account.accountId=0;
	account.accountName="name";
	account.user="username";
	account.password="password";
	account.host="mail.server.com";
	// account.port=110; // by default

	ofxPop3Client.addAccount(account);
	ofxPop3Client.setCheckInterval(20);
	//ofxPop3Client.start();
}

//--------------------------------------------------------------
void testApp::update(){
	sprintf(message,"fps: %i",(int)ofGetFrameRate());
}

//--------------------------------------------------------------
void testApp::draw(){
	ofDrawBitmapString(message,20,20);

}


//--------------------------------------------------------------
void testApp::keyPressed(int key){
	ofxMailMessage message;
	message.recipients.push_back("recipient@server.com");
	message.sender="sender@server.com";
	message.subject="subject of the message";
	message.date=Poco::Timestamp();
	ofxSmtpClient.addMessage(message);
	cout << "testApp::keyPressed: new message sent\n";

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}



void testApp::newMessage(ofxMailMessage & message){
	cout << "\n----------------------\n";
	cout << "testApp::newMessage: \n";
	cout << "from: "<< message.sender << "\n";
	cout << "subject: "<<message.subject + "\n\n";
	cout << message.content + "\n----------------------\n\n";
}
